Get User Orgs
Get the currently logged in user's organizations.
Use this API instead:
- /oidc/userinfo
Currently one user can belong to exactly one organization. Result contains detailed information for the organization.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ✔️ |
| Service Account (Whitelisted Client) | ✔️ |
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/v2/loggedin/user/orgs
COPY
Query Parameters
integer
pageStart
Optional
Constraints:
minimum: 1
default: 1
Specifies the index that the set of results will begin with.
integer
pageLimit
Optional
Constraints:
minimum: 1
maximum: 128
default: 128
Specifies the maximum results per page for every call.
Responses
200
OK
Returns
PagedResponseOrganizationResponse
of type(s)
*/*
{
"results": [
{
"name": "string",
"displayName": "string",
"metadata": {
"metadata": "string"
},
"id": "string",
"refLink": "string",
"parentRefLink": "string"
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
401
The user is not authorized to use the API.
Returns
PagedResponseOrganizationResponse
of type(s)
*/*
{
"results": [
{
"name": "string",
"displayName": "string",
"metadata": {
"metadata": "string"
},
"id": "string",
"refLink": "string",
"parentRefLink": "string"
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
403
The user is not part of any organization.
Returns
PagedResponseOrganizationResponse
of type(s)
*/*
"PagedResponseOrganizationResponse Object"
array of
object
results
Optional
The list of results.
string
nextLink
Optional
URL to the next page of results.
string
prevLink
Optional
URL to the previous page of result.
integer As int64
As int64
totalResults
Optional
The total number of results on all pages.
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/v2/loggedin/user/orgs
Deprecated
Principal User Controller Operations
PUT
Update User Preferences
Deprecated
GET
Get Principal User Profile
Deprecated
PATCH
Update User Profile
Deprecated
GET
Get User Orgs
Deprecated
GET
Get Logged In User
Deprecated
GET
Get User Org Service Roles
Deprecated
GET
Get User Org Roles
Deprecated
GET
Get User Org Info
Deprecated
GET
Get Logged In User Groups On Org
Deprecated
GET
Get Logged In User Details
Deprecated
GET
Get User Default Org
Deprecated